import datetime

from ..api import Api
from .model import Location, WeatherResponse


class WeatherApi(Api):
    TYPE = "weather"

    async def find_locations(self, query: str) -> list[Location]:
        raise NotImplementedError

    async def get_day(self, location_id: str, date: datetime.date) -> WeatherResponse:
        raise NotImplementedError

    async def get_days(self, location_id: str, days: int) -> WeatherResponse:
        raise NotImplementedError
